-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: Satellite 6.10.5 Async Bug Fix Update
Advisory ID:       RHSA-2022:1708-01
Product:           Red Hat Satellite 6
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:1708
Issue date:        2022-05-04
CVE Names:         CVE-2021-27023 CVE-2021-27025 
=====================================================================

1. Summary:

Updated Satellite 6.10 packages that fix several bugs are now available for
Red Hat Satellite.

2. Relevant releases/architectures:

Red Hat Satellite 6.10 - noarch, x86_64
Red Hat Satellite Capsule 6.10 - noarch, x86_64

3. Description:

Red Hat Satellite is a system management solution that allows organizations
to configure and maintain their systems without the necessity to provide
public Internet access to their servers or other client systems. It
performs provisioning and configuration management of predefined standard
operating environments.

Security Fix(es):

2023859	puppet: unsafe HTTP redirect (CVE-2021-27023)
2023853	puppet: silent configuration failure in agent (CVE-2021-27025)

This update fixes the following bugs:

2070996	Upgrade to Satellite 6.10 fails at db:migrate stage if there are
errata reference present for some ostree\puppet type repos
2070991	Warning: postgresql.service changed on disk, when calling
foreman-maintain service restart
2071004	Config report upload failed with No smart proxy server found on
[capsule.example.com] and is not in trusted_hosts
2070984	Uploading external  DISA SCAP content to satellite 6.10 fails with
exception Invalid SCAP file type
2075031	Content Import does not delete version on failure
2070985	Upgrading from Satellite 6.9 to Satellite 6.10.3 fails with error
undefined method operatingsystems for nil:NilClass during the db:migrate
step
2070994	Index content is creating duplicated errata in katello_erratum
table after upgrading to Satellite 6.10
2070999	Fail to import contents when the connected and disconnected
Satellite have different product labels for the same product
2071002	Error when importing content and same package belongs to multiple
repositories
2071006	Content not accessible after importing
2076979	Wrong satellite version on login screen
2077046	Upgrade fails during db:migrate with PG::ForeignKeyViolation:
ERROR:  update or delete on table katello_errata violates foreign key
constraint katello_content_facet_errata_errata_id

Users of Red Hat Satellite are advised to upgrade to these updated
packages, which fix these bugs.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For detailed instructions how to apply this update, refer to:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.10/html/upgrading_and_updating_red_hat_satellite/updating_satellite_server_capsule_server_and_content_hosts

5. Bugs fixed (https://bugzilla.redhat.com/):

2023853 - CVE-2021-27025 puppet: silent configuration failure in agent
2023859 - CVE-2021-27023 puppet: unsafe HTTP redirect
2070984 - Uploading external  DISA SCAP content to satellite 6.10 fails with exception "Invalid SCAP file type"
2070985 - Upgrading from Satellite 6.9 to Satellite 6.10.3 fails with error "undefined method operatingsystems' for nil:NilClass" during the db:migrate step
2070991 - Warning: postgresql.service changed on disk, when calling foreman-maintain service restart
2070994 - Index content is creating duplicated errata in "katello_erratum" table after upgrading to Satellite 6.10
2070996 - Upgrade to Satellite 6.10 fails at db:migrate stage if there are errata reference present for some ostree\puppet type repos
2070999 - Fail to import contents when the connected and disconnected Satellite have different product labels for the same product
2071002 - Error when importing content and same package belongs to multiple repositories
2071004 - Config report upload failed with "No smart proxy server found on ["capsule.example.com"] and is not in trusted_hosts"
2071006 - Content not accessible after importing
2075031 - Content Import does not delete version on failure
2076979 - Wrong satellite version on login screen
2077046 - Upgrade fails during db:migrate with PG::ForeignKeyViolation: ERROR:  update or delete on table "katello_errata" violates foreign key constraint "katello_content_facet_errata_errata_id"

6. Package List:

Red Hat Satellite Capsule 6.10:

Source:
foreman-2.5.2.21-1.el7sat.src.rpm
foreman-installer-2.5.2.14-1.el7sat.src.rpm
puppet-agent-6.26.0-1.el7sat.src.rpm
puppetserver-6.18.0-1.el7sat.src.rpm
satellite-6.10.5-1.el7sat.src.rpm
tfm-rubygem-smart_proxy_openscap-0.9.2-1.el7sat.src.rpm

noarch:
foreman-debug-2.5.2.21-1.el7sat.noarch.rpm
foreman-installer-2.5.2.14-1.el7sat.noarch.rpm
foreman-installer-katello-2.5.2.14-1.el7sat.noarch.rpm
puppetserver-6.18.0-1.el7sat.noarch.rpm
satellite-capsule-6.10.5-1.el7sat.noarch.rpm
satellite-common-6.10.5-1.el7sat.noarch.rpm
tfm-rubygem-smart_proxy_openscap-0.9.2-1.el7sat.noarch.rpm

x86_64:
puppet-agent-6.26.0-1.el7sat.x86_64.rpm

Red Hat Satellite 6.10:

Source:
foreman-2.5.2.21-1.el7sat.src.rpm
foreman-installer-2.5.2.14-1.el7sat.src.rpm
puppet-agent-6.26.0-1.el7sat.src.rpm
puppetserver-6.18.0-1.el7sat.src.rpm
satellite-6.10.5-1.el7sat.src.rpm
tfm-rubygem-katello-4.1.1.55-1.el7sat.src.rpm
tfm-rubygem-smart_proxy_openscap-0.9.2-1.el7sat.src.rpm

noarch:
foreman-2.5.2.21-1.el7sat.noarch.rpm
foreman-cli-2.5.2.21-1.el7sat.noarch.rpm
foreman-debug-2.5.2.21-1.el7sat.noarch.rpm
foreman-dynflow-sidekiq-2.5.2.21-1.el7sat.noarch.rpm
foreman-ec2-2.5.2.21-1.el7sat.noarch.rpm
foreman-gce-2.5.2.21-1.el7sat.noarch.rpm
foreman-installer-2.5.2.14-1.el7sat.noarch.rpm
foreman-installer-katello-2.5.2.14-1.el7sat.noarch.rpm
foreman-journald-2.5.2.21-1.el7sat.noarch.rpm
foreman-libvirt-2.5.2.21-1.el7sat.noarch.rpm
foreman-openstack-2.5.2.21-1.el7sat.noarch.rpm
foreman-ovirt-2.5.2.21-1.el7sat.noarch.rpm
foreman-postgresql-2.5.2.21-1.el7sat.noarch.rpm
foreman-service-2.5.2.21-1.el7sat.noarch.rpm
foreman-telemetry-2.5.2.21-1.el7sat.noarch.rpm
foreman-vmware-2.5.2.21-1.el7sat.noarch.rpm
puppetserver-6.18.0-1.el7sat.noarch.rpm
satellite-6.10.5-1.el7sat.noarch.rpm
satellite-cli-6.10.5-1.el7sat.noarch.rpm
satellite-common-6.10.5-1.el7sat.noarch.rpm
tfm-rubygem-katello-4.1.1.55-1.el7sat.noarch.rpm
tfm-rubygem-smart_proxy_openscap-0.9.2-1.el7sat.noarch.rpm

x86_64:
puppet-agent-6.26.0-1.el7sat.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-27023
https://access.redhat.com/security/cve/CVE-2021-27025
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYnKnOtzjgjWX9erEAQic5Q/+N6Bwi0LtZiqRXcdlPnzBnBoABWak8jy4
tOTZXKuZPBii2rOK3HinScuJt/uExKHNZJmU3NISGd24kE27/EqeFe3/5G3oe6IH
q13nWdBnJgzuFiXd8vIGUF0t8bs5X6Lt/8HMWPsJRkwTe240tebFuUFQGodlPLUu
c8AM9KLewucQa5ACjS/SBIeO8eRcggT66gYZ4gCwPraoMNbWIjyFbaCIMoQZLkLR
EfwGTxSa4Ltfamr+OU9iZ+BMwirzDCZMb6Vkr3WdHzKFefYoiL1CaP9gTARe0pW7
Iw6uOm7y6OqaocwJE8FfITe9ZRALyh64B9UNQyK0HIkRbxtBiIwdwdzWuntJ5Mhx
6M7b9kmrIubkj4BkEx/WGEq4N3a2ghXTkdgOnh5oOeam/IHAyMfHYbfyY+TdY3Na
GXDqbcPOYIbdembAnM2V9UkwZH74TJ8/ZeIRrfnW3qOOLEM4yScbSWkREUSibR1y
B5VAHEJr0q6FJxi4TnHMo+8Zg9Ai4j3D9mqs+0HHtwi5JMjjFXXVr7N06FqFu2u1
2atNRecuGu9VxLxaJVT7rEEvN/YxdQ631qdwp9jCdh/25QBScaLiqgJM8y8iOURT
2zOI+5yllnF2BNM8dIJMxH5NwMr1hrsqr/8ghs/S7AhSeJyRmx7vTsBu29qqA5A2
oTFPriSDu8w=
=jAPv
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce